## org.apache.tools.ant.taskdefs.optional
Class Script

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.Task
              org.apache.tools.ant.taskdefs.optional.Script

public class Script
extends Task

Executes a script.

Author:
  Sam Ruby rubys@us.ibm.com

Field Summary

Fields inherited from class org.apache.tools.ant.Task
`description, location, target, taskName, taskType, wrapper`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`project`

Constructor Summary
`Script()`

Method Summary
`void` `addText(java.lang.String text)` The script text.
`void` `execute()` Do the work.
`void` `setLanguage(java.lang.String language)` Defines the language (required).
`void` `setSrc(java.lang.String fileName)` Load the script from an external file ; optional.

Methods inherited from class org.apache.tools.ant.Task
`getDescription, getLocation, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, handleErrorFlush, handleErrorOutput, handleFlush, handleOutput, init, isInvalid, log, log, maybeConfigure, perform, setDescription, setLocation, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`getProject, setProject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Script

    public Script()

Method Detail

### execute

    public void execute()
                 throws BuildException

  Do the work.

  Overrides:
    `execute` in class `Task`
  Throws:
    `BuildException` - if someting goes wrong with the build

### setLanguage

    public void setLanguage(java.lang.String language)

  Defines the language (required).

### setSrc

    public void setSrc(java.lang.String fileName)

  Load the script from an external file ; optional.

### addText

    public void addText(java.lang.String text)

  The script text.

Copyright © 2000-2003 Apache Software Foundation. All Rights Reserved.